"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseErrorMessage = exports.getReplyPattern = exports.isObject = void 0;
const isObject = (value) => {
    return value !== null && !Array.isArray(value) && typeof value === 'object';
};
exports.isObject = isObject;
const getReplyPattern = (pattern) => {
    return `${pattern}.reply`;
};
exports.getReplyPattern = getReplyPattern;
const parseErrorMessage = (error) => {
    if (error instanceof Error) {
        return error.message;
    }
    if (typeof error === 'string') {
        return error;
    }
    if (exports.isObject(error)) {
        return error.message && typeof error.message === 'string'
            ? error.message
            : JSON.stringify(error);
    }
    return JSON.stringify(error);
};
exports.parseErrorMessage = parseErrorMessage;
